Package org.bukkit.material

# Enum Class CocoaPlant.CocoaPlantSize

java.lang.Object
java.lang.Enum<CocoaPlant.CocoaPlantSize>
org.bukkit.material.CocoaPlant.CocoaPlantSize

All Implemented Interfaces:
  `Serializable`, `Comparable<CocoaPlant.CocoaPlantSize>`, `Constable`

Enclosing class:
  CocoaPlant

public static enum CocoaPlant.CocoaPlantSize extends Enum<CocoaPlant.CocoaPlantSize>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LARGE`
`MEDIUM`
`SMALL`

## Method Summary

Modifier and Type
Method
Description
`static CocoaPlant.CocoaPlantSize`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CocoaPlant.CocoaPlantSize[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SMALL

public static final CocoaPlant.CocoaPlantSize SMALL

### MEDIUM

public static final CocoaPlant.CocoaPlantSize MEDIUM

### LARGE

public static final CocoaPlant.CocoaPlantSize LARGE

## Method Details

### values

public static CocoaPlant.CocoaPlantSize[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CocoaPlant.CocoaPlantSize valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null